package com.ut.mini;

import java.util.HashMap;
import java.util.Map;

import android.app.Activity;
import android.app.Application;
import android.os.Bundle;

import com.ut.mini.UTHitBuilders.UTCustomHitBuilder;
import com.ut.mini.base.UTConstants;
import com.ut.mini.core.sign.UTBaseRequestAuthentication;
import com.ut.mini.crashhandler.IUTCrashCaughtListner;

public class TestActivity extends Activity implements IUTCrashCaughtListner {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

//		UTCustomHitBuilder lBuilder = new UTCustomHitBuilder("event_xxx");
//		lBuilder.setDurationOnEvent(20000l);
//		lBuilder.setEventPage("Test2");
//		lBuilder.setProperty("haha", "haha");
//		Map<String,String> lMap = lBuilder.build();
//		lBuilder.setProperty("haha2", "haha2");
//		lBuilder.setEventPage("test1");
//		Map<String,String> lMap2 = lBuilder.build();


		UTAnalytics.getInstance().setContext(this.getApplicationContext());
		UTAnalytics.getInstance().setChannel("daima_channel");
		UTAnalytics.getInstance().setAppApplicationInstance((Application)this.getApplicationContext());
		UTAnalytics.getInstance().setRequestAuthentication(
				new UTBaseRequestAuthentication("21771303",
						"6451ae070be6360f4fc1401e90a83a3e"));
		UTAnalytics.getInstance().updateUserAccount("daima", "12345678");
		UTAnalytics.getInstance().setAppVersion("3.0.0");
		
		UTAnalytics.getInstance().turnOnDebug();

		UTAnalytics.getInstance().setCrashCaughtListener(this);
		UTAnalytics.getInstance().turnOffCrashHandler();

		UTAnalytics.getInstance().updateUserAccount("dcj5992", "12345");
		
		UTCustomHitBuilder lHitBuilder = new UTHitBuilders.UTCustomHitBuilder("戴码");
		lHitBuilder.setProperty(UTConstants.PrivateLogFields.FLAG_USE_ALL_MAP_FIELDS, "xxxxxx");
		lHitBuilder.setProperty("testkey", "戴码");
		UTAnalytics.getInstance().getTracker("test").send(lHitBuilder.build());
		

		Map<String,String> lH5DataMap = new HashMap<String,String>();
		lH5DataMap.put("spmcnt", "1.2.3.4.cnt");
		lH5DataMap.put("url", "http://songjun.sj.com*k1=v1&k2=v2&spm=a.b.c.d.spm&scm=s.c.m");
		lH5DataMap.put("cna", "AXSDKFIUS_SDFGK");
		lH5DataMap.put("logkey", "xxoo");

		lH5DataMap.put("functype", "2101");
		lH5DataMap.put("utjstype", "0");

		UTHybridHelper.getInstance().h5UT(lH5DataMap, null);
		
	}

	@Override
	protected void onResume() {
		super.onResume();
		Map<String,String> lIDMap = new HashMap<String,String>();
		lIDMap.put("item_id", "123456");
		UTPageHitHelper.getInstance().updatePageProperties(lIDMap);
	}

	@Override
	protected void onPause() {
		super.onPause();
	}

	@Override
	public Map<String, String> onCrashCaught(Thread pThread,
			Throwable pException) {
		Map<String, String> lMap = new HashMap<String, String>();
		lMap.put("m1", "chenjie");
		lMap.put("m2", "blank");
		return lMap;
	}

}
