
package com.ut.mini.base;

/**
 * 采集格式scheme类
 * @author daichenjie
 * 独立了一个包名 com.ut.mini.base 方便做到和对外的隔
 * 主要定义传输格式约定的内容
 */
public enum UTLogFieldsScheme {
    IMEI,
    IMSI,
    BRAND,
    DEVICE_MODEL,
    RESOLUTION,
    CARRIER,
    ACCESS,
    ACCESS_SUBTYPE,
    CHANNEL,
    APPKEY, 
    APPVERSION,
    LL_USERNICK, 
    USERNICK,
    LL_USERID,
    USERID,
    LANGUAGE, 
    OS, 
    OSVERSION, 
    SDKVERSION, 
    START_SESSION_TIMESTAMP, 
    UTDID, 
    SDKTYPE, 
    RESERVE2, 
    RESERVE3, 
    RESERVE4, 
    RESERVE5, 
    RESERVES, 
    RECORD_TIMESTAMP, 
    PAGE, 
    EVENTID, 
    ARG1, 
    ARG2, 
    ARG3, 
    ARGS// args字段，用来和老的SDK 兼容，外部如果需要把参数加到args中，那么必须使用其他任意不包含在本列表的字段
}
