package com.ut.mini.base;

import com.ut.mini.sdkevents.UTMI1010_2001Event;

public class UTMIVariables {
	private static UTMIVariables s_instance = new UTMIVariables();
	
	private String mH5RefPage = null;
	private String mRefPage = null;
	private String mH5Url = null;
	private UTMI1010_2001Event m1010and2001EventInstance = null;
	private boolean mIsAliyunOSPlatform = false;
	
	public synchronized void setToAliyunOSPlatform(){
		mIsAliyunOSPlatform = true;
	}
	
	public synchronized boolean isAliyunOSPlatform(){
		return mIsAliyunOSPlatform;
	}

	
	public synchronized void setUTMI1010_2001EventInstance(UTMI1010_2001Event aInstance){
		m1010and2001EventInstance = aInstance;
	}
	
	public synchronized UTMI1010_2001Event getUTMI1010_2001EventInstance(){
		return m1010and2001EventInstance;
	}

	public static UTMIVariables getInstance(){
		return s_instance;
	}
	
	public String getH5Url() {
		return mH5Url;
	}

	public void setH5Url(String aH5Url) {
		this.mH5Url = aH5Url;
	}

	public String getRefPage() {
		return mRefPage;
	}

	public void setRefPage(String aRefPage) {
		this.mRefPage = aRefPage;
	}

	public String getH5RefPage() {
		return mH5RefPage;
	}
	public void setH5RefPage(String aH5PrePage) {
		this.mH5RefPage = aH5PrePage;
	}
	
}
