package com.ut.mini.core;

import android.content.Context;

import com.ut.mini.base.UTLogFieldsScheme;
import com.ut.mini.base.UTMCStatConfig;

public class UTMiniShareData {

	public static String getUTFieldValue(Context aContext,String aKey){
		if(UTLogFieldsScheme.USERNICK.toString().equals(aKey)){
			return UTMCStatConfig.getInstance().getLongLoginUsernick();
		}else if(UTLogFieldsScheme.USERID.toString().equals(aKey)){
			return UTMCStatConfig.getInstance().getLongLoingUserid();
		}else if(UTLogFieldsScheme.ACCESS.toString().equals(aKey)){
			return UTMCDevice.getDeviceInfo(aContext).get(UTLogFieldsScheme.ACCESS.toString());
		}else if(UTLogFieldsScheme.ACCESS_SUBTYPE.toString().equals(aKey)){
			return UTMCDevice.getDeviceInfo(aContext).get(UTLogFieldsScheme.ACCESS_SUBTYPE.toString());
		}
		return null;
	}
	
	public static boolean isRealtimeDebug(){
		return UTMCVariables.getInstance().isRealTimeDebug();
	}
	
}