package com.ut.mini.core.appstatus;

import android.annotation.TargetApi;
import android.app.Application;
import android.os.Build;

public class UTMCAppStatusRegHelper {

	@TargetApi(Build.VERSION_CODES.ICE_CREAM_SANDWICH)
	public static void registerAppStatusCallbacks(
			UTMCAppStatusCallbacks aCallbacks) {
		if (null != aCallbacks) {
			UTMCAppStatusMonitor.getInstance().registerAppStatusCallbacks(
					aCallbacks);
		}
	}
	
	@TargetApi(Build.VERSION_CODES.ICE_CREAM_SANDWICH)
	public static void unRegisterAppStatusCallbacks(
			UTMCAppStatusCallbacks aCallbacks) {
		if (null != aCallbacks) {
			UTMCAppStatusMonitor.getInstance().unregisterAppStatusCallbacks(aCallbacks);
		}
	}

	@TargetApi(Build.VERSION_CODES.ICE_CREAM_SANDWICH)
	public static void registeActivityLifecycleCallbacks(
			Application aApplicationInstance) {
		if (null != aApplicationInstance) {
			aApplicationInstance
					.registerActivityLifecycleCallbacks(UTMCAppStatusMonitor
							.getInstance());
		}
	}

	@TargetApi(Build.VERSION_CODES.ICE_CREAM_SANDWICH)
	public static void unregisterActivityLifecycleCallbacks(
			Application aApplicationInstance) {
		if (null != aApplicationInstance) {
			aApplicationInstance
					.unregisterActivityLifecycleCallbacks(UTMCAppStatusMonitor
							.getInstance());
		}
	}
}
