package com.ut.mini.core.loghelper;

import android.annotation.TargetApi;
import android.os.Build;

public class UTMCABIHelper {
	
    @TargetApi(Build.VERSION_CODES.LOLLIPOP)
    private static String getThroughHigherApi() {
        return Build.SUPPORTED_ABIS[0];
    }

    public static String getABI() {
        if (Build.VERSION.SDK_INT>=Build.VERSION_CODES.LOLLIPOP) {
            return getThroughHigherApi();
        }else{
            return Build.CPU_ABI;
        }
    }
}
