package com.ut.mini.core.loghelper;

import android.content.Context;

import com.ut.mini.utils.UTMCReflectUtils;

public class UTMCLogAssembleHelper {

	private static String mUMID = null;
	private static boolean mUMIDGetSwitch = true;

	// 获取umid
	public static String getSecurityToken(Context aContext) {
		if (null != mUMID) {
			return mUMID;
		}
		if (null != aContext && mUMIDGetSwitch) {
			try {
				Class lClass = Class.forName("com.taobao.dp.DeviceSecuritySDK");
				if (null != lClass) {
					Object[] lArgA = new Object[1];
					lArgA[0] = aContext;
					Object lObj = UTMCReflectUtils.invokeStaticMethod(lClass,
							"getInstance", lArgA, Context.class);
					if (null != lObj) {
						Object lSToken = UTMCReflectUtils.invokeMethod(lObj,
								"getSecurityToken");
						if (null != lSToken) {
							mUMID = (String) lSToken;
						}
						return (String) lSToken;
					}
				} else {
					mUMIDGetSwitch = false;
				}
			} catch (Exception e) {
			}
		}
		return null;
	}
}
