package com.ut.mini.crashhandler.demo;

import java.util.HashMap;
import java.util.Map;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;

import com.ut.mini.UTAnalytics;
import com.ut.mini.core.sign.UTBaseRequestAuthentication;
import com.ut.mini.crashhandler.IUTCrashCaughtListner;

public class MainActivity extends Activity implements IUTCrashCaughtListner {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		UTAnalytics.getInstance().setContext(this.getApplicationContext());
		UTAnalytics.getInstance().setChannel("daima_channel");
		UTAnalytics.getInstance().setRequestAuthentication(
				new UTBaseRequestAuthentication("21771303",
						"6451ae070be6360f4fc1401e90a83a3e"));
		UTAnalytics.getInstance().updateUserAccount("daima", "12345678");
		UTAnalytics.getInstance().setAppVersion("3.0.0");
		UTAnalytics.getInstance().turnOnDebug();
		UTAnalytics.getInstance().setCrashCaughtListener(this);
		int i = 5 / 0;
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		return true;
	}

	@Override
	public Map<String, String> onCrashCaught(Thread pThread,
			Throwable pException) {
		Map<String, String> lMap = new HashMap<String, String>();
		lMap.put("test_key", "test_value");
		return lMap;
	}

}
