package com.ut.mini.utils;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;

public class SpSetting {
	public static long get(Context context, String key) {
		if (context == null) {
			return -1;
		}
		SharedPreferences sPreferences = context.getSharedPreferences("ut_setting", context.MODE_MULTI_PROCESS);
		if (sPreferences != null) {
			return sPreferences.getLong(key, -1);
		}
		return -1;
	}

	public static void put(Context context, String key, long value) {
		if (context == null) {
			return;
		}
		SharedPreferences sPreferences = context.getSharedPreferences("ut_setting", context.MODE_MULTI_PROCESS);
		if (sPreferences != null) {
			Editor editor = sPreferences.edit();
			if (editor != null) {
				editor.putLong(key, value);
				editor.commit();
			}
		}

	}
}
