package com.ut.mini.utils;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * HTTP Api返回解析
 * 
 * @author daichenjie
 * 
 */
public class UTMCApiResponse {
	private final static String SUCCESS = "success";

	// 解析Api 结果
	public static boolean parseResult(String lContent) {
		try {
			JSONObject lJson = new JSONObject(lContent);
			if (lJson.has(SUCCESS)) {
				String lValue = lJson.getString(SUCCESS);
				if (!UTMCStringUtils.isEmpty(lValue) && lValue.equals(SUCCESS)) {
					return true;
				}
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}
		return false;
	}
}