package com.ut.mini.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class UTMCSHA1Utils {
	public static String SHA1(String text) throws NoSuchAlgorithmException {
		MessageDigest md = MessageDigest.getInstance("SHA-1");
		md.update(text.getBytes(), 0, text.length());
		byte[] sha1hash = md.digest();
		if (sha1hash != null) {
			return UTMCMD5Utils.toHexString(sha1hash);
		}
		return "";
	}
	
	public static String SHA1(byte[] pData) throws NoSuchAlgorithmException {
		MessageDigest md = MessageDigest.getInstance("SHA-1");
		md.update(pData, 0, pData.length);
		byte[] sha1hash = md.digest();
		if (sha1hash != null) {
			return UTMCMD5Utils.toHexString(sha1hash);
		}
		return "";
	}
}
