package com.ut.mini.utils;

import android.app.ActivityManager;
import android.content.Context;
import android.util.Log;

public class UTMCSystemUtils {

	public static String getCurProcessName(Context pContext) {
		if (null != pContext) {
			try {
				int pid = android.os.Process.myPid();
				ActivityManager mActivityManager = (ActivityManager) pContext
						.getSystemService(Context.ACTIVITY_SERVICE);
				if (null != mActivityManager) {
					for (ActivityManager.RunningAppProcessInfo appProcess : mActivityManager
							.getRunningAppProcesses()) {
						if (appProcess.pid == pid) {
							return appProcess.processName;
						}
					}
				}
			} catch (Exception e) {

			}
		}
		return null;
	}
}
