package com.ut.mini.core.appstatus;

import android.app.Activity;
import android.os.Bundle;

public interface UTMCAppStatusCallbacks {
	/**
	 * 切换后台通知
	 */
	void onSwitchBackground();

	/**
	 * 切换前台通知
	 */
	void onSwitchForeground();
	
	void onActivityCreated(Activity activity, Bundle savedInstanceState);

	void onActivityDestroyed(Activity activity);

	void onActivityPaused(Activity activity);

	void onActivityResumed(Activity activity);

	void onActivitySaveInstanceState(Activity activity, Bundle outState);

	void onActivityStarted(Activity activity);
	
	void onActivityStopped(Activity activity);
	
}
