package com.ut.mini.internal;

import java.util.Map;

import com.ut.mini.UTHitBuilders.UTHitBuilder;
import com.ut.mini.utils.UTMCStringUtils;

public class UTOriginalCustomHitBuilder extends UTHitBuilder {
	
	public UTOriginalCustomHitBuilder(String aPage, int aEventId, String aArg1,
			String aArg2, String aArg3, Map<String, String> aHitMap) {
		
		if (!UTMCStringUtils.isEmpty(aPage)) {
			super.setProperty(UTHitBuilder.FIELD_PAGE, aPage);
		}

		super.setProperty(UTHitBuilder.FIELD_EVENT_ID, "" + aEventId);

		if (!UTMCStringUtils.isEmpty(aArg1)) {
			super.setProperty(UTHitBuilder.FIELD_ARG1, aArg1);
		}
		if (!UTMCStringUtils.isEmpty(aArg2)) {
			super.setProperty(UTHitBuilder.FIELD_ARG2, aArg2);
		}
		if (!UTMCStringUtils.isEmpty(aArg3)) {
			super.setProperty(UTHitBuilder.FIELD_ARG3, aArg3);
		}
		super.setProperties(aHitMap);
		
	}
	
}
