package com.ut.mini.plugin;

import android.content.Context;

public class UTPluginContext {
	
	public final static int DEBUG_LOG_SWITCH = 1 ;
	
	private Context mContext = null;
	private boolean mDebugLogSwitch = false;
	private boolean mIsRealTimeDebug = false;
	
	public void setContext(Context aContext){
		mContext = aContext;
	}
	
	public Context getContext(){
		return mContext;
	}
	
	public void setDebugLogFlag(boolean aDebugLogFlag){
		mDebugLogSwitch = aDebugLogFlag;
	}
	
	public boolean isDebugLogEnable(){
		return mDebugLogSwitch;
	}
	
	public void enableRealtimeDebug(){
		mIsRealTimeDebug = true;
	}
	
	public boolean isRealtimeDebugEnable(){
		return mIsRealTimeDebug;
	}
	
}