package com.ut.mini.plugin.imps;

import java.util.Map;

import com.ut.mini.base.UTLogFieldsScheme;
import com.ut.mini.base.UTMCConstants;
import com.ut.mini.core.UTMCLogTransfer;
import com.ut.mini.core.loghelper.UTMCLogAssemble;
import com.ut.mini.plugin.UTMsgIds;
import com.ut.mini.plugin.UTPlugin;
import com.ut.mini.utils.LogUtil;

public class UTAggregatedLogPlugin extends UTPlugin {

	@Override
	public int[] returnRequiredMsgIds() {
		int[] lMsgIds = {UTMsgIds.OUT_AGGREGATED_LOG_MAP};
		return lMsgIds;
	}

	@Override
	public void onPluginMsgArrivedFromSDK(int aInPluginMsgId, Object aMsgObject) {
		if (aInPluginMsgId == UTMsgIds.OUT_AGGREGATED_LOG_MAP) {
			if (aMsgObject instanceof Map<?, ?>) {
				try {
					Map<String, String> lLogMap = (Map<String, String>) aMsgObject;
					UTMCLogTransfer.getInstance().dispatch(lLogMap);
//					String eventId = null;
//					if (lLogMap!=null) {
//						eventId=lLogMap.get(UTLogFieldsScheme.EVENTID.toString());
//					}
//					String index = LogUtil.generateLogIndex();
//					lLogMap.put(UTLogFieldsScheme.RESERVE3.toString(), index);
//					String lLogStr = UTMCLogAssemble.assembleWithFullFields(lLogMap);
//					if (null != lLogStr && lLogStr.length() > 0) {
//						UTMCLogTransfer.getInstance().dispatch(eventId,UTMCConstants.LogTransferLevel.NROMAL,index,lLogStr);
//					}
					
					
					
					
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
	}

}
