package com.ut.mini.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class UTMCMD5Utils {

	public static char[] hexChar = { '0', '1', '2', '3', '4', '5', '6', '7',
			'8', '9', 'a', 'b', 'c', 'd', 'e', 'f' };

	public static String toHexString(byte[] b) {
		StringBuilder sb = new StringBuilder(b.length * 2);
		for (int i = 0; i < b.length; i++) {
			sb.append(hexChar[(b[i] & 0xf0) >>> 4]);
			sb.append(hexChar[b[i] & 0x0f]);
		}
		return sb.toString();
	}
	
	public static String getMd5Hex(byte[] source) {
        byte[] result = getMd5(source);
        if (result != null) {
            return toHexString(result);
        }
        return "0000000000000000";
    }

	public static byte[] getMd5(byte[] source) {
		if (source != null) {
			MessageDigest md;
			try {
				md = MessageDigest.getInstance("MD5");
				md.update(source);
				byte tmp[] = md.digest(); 
				return tmp;
			} catch (NoSuchAlgorithmException e) {
				e.printStackTrace();
			}
		}
		return null;
	}
}
