
package com.ut.mini.utils;

import android.content.Context;

public class UTMCMultiProcessUtils {

    /**
     * 获取存储的名称
     * 
     * @param pContext
     * @return 区别多进程
     */
    public static String getStorageName(Context pContext, String pStorageKey) {
        // 获取进程名
        String lProcessName = UTMCSystemUtils.getCurProcessName(pContext);
        // 防止，获取processName为空，导致的空指针
        String lSPSuffixKey = "";
        if (!UTMCStringUtils.isEmpty(lProcessName)) {
            lSPSuffixKey = "" + UTMCStringUtils.hashCode(lProcessName);
        }
        if (UTMCStringUtils.isEmpty(lSPSuffixKey)) {
            lSPSuffixKey = "";
        }
        return pStorageKey + lSPSuffixKey;
    }
}
