
package com.ut.mini.utils;

import com.ut.mini.log.UTMCLogger;

import android.annotation.TargetApi;
import android.content.SharedPreferences.Editor;
import android.os.Build;
/**
 * 这个类的目的是让低版本的SDK调用到高版本SDK方法的一个代理类
 * @author daichenjie
 *
 */
public class UTMCSPHelper {

    @TargetApi(Build.VERSION_CODES.GINGERBREAD)
    private static void apply(Editor pEditor) {
        pEditor.apply();
    }

    public static void fastCommit(Editor editor) {
    	 UTMCLogger.i(UTMCLogger.LOG_TYPE_DEV, "4.3.8 cacheLog [fastCommit]","");
        if (editor != null) {
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.GINGERBREAD) {
                apply(editor);
            } else {
                editor.commit();
            }
        }
    }

}
