package com.ut.sharedata;

import com.ut.mini.UTPageHitHelper;
import com.ut.mini.base.UTMCStatConfig;

public class UTShareData {

    private static UTShareData s_instance    = null;

    private UTShareData() {

    }

    public static UTShareData getInstance() {
        if (null == s_instance) {
            s_instance = new UTShareData();
        }
        return s_instance;
    }
    
    private String mCurPageName = null;

    public synchronized String getUsernick() {
        return UTMCStatConfig.getInstance().getUsernick();
    }

    public synchronized String getCurPageName() {
    	return mCurPageName;
    }
    
    public synchronized void setCurPageName(String aPageName){
    	mCurPageName = aPageName;
    }

    public synchronized String getLongUsernick() {
        return UTMCStatConfig.getInstance().getLongLoginUsernick();
    }

    public synchronized String getAppKey() {
        return UTMCStatConfig.getInstance().getAppkey();
    }

    public synchronized String getChannel() {
        return UTMCStatConfig.getInstance().getChannel();
    }

}
